//Map Texture Shaders
//===================

textures/the_box/sky_the_box
{
	qer_editorimage textures/the_box/sky_the_box.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun .94 .83 .63 100 90 45
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_surfacelight 250
	skyparms env/the_box/the_box 256 -
}

textures/twins/ladderclip
{
	qer_editorimage textures/twins/ladderclip.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm ladder
	qer_trans 0.5
}

textures/twins/caulk
{
	qer_editorimage textures/twins/caulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
}

textures/twins/playerclip
{
	qer_editorimage textures/twins/playerclip.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm playerclip
	qer_trans 0.3
}

textures/twins/origin
{
	qer_editorimage textures/twins/origin.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm origin
}

textures/twins/flash_rouge
{
	qer_editorimage textures/twins/flash_rouge.tga
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		map textures/twins/flash_rouge.tga
	}
}

textures/twins/flash_bleu
{
	qer_editorimage textures/twins/flash_bleu.tga
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		map textures/twins/flash_bleu.tga
	}
}

textures/twins/lumiere01
{
	qer_editorimage textures/twins/lumiere01.tga
	surfaceparm nolightmap
	q3map_surfacelight 10000
	{
		map textures/twins/lumiere01.tga
	}
}

textures/twins/fog
{
	qer_editorimage textures/twins/fog.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.4
	fogparms ( .8 .8 .8 ) 50000
}

textures/twins/vitre
{
	qer_editorimage textures/twins/vitre.tga
	qer_trans .5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/twins/vitre.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/twins/grillage
{
	qer_editorimage textures/twins/grillage.tga
	qer_trans .4
	surfaceparm nomarks
	surfaceparm noimpact
	cull disable
	{
		map textures/twins/grillage.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/twins/ecran01
{
	qer_editorimage textures/twins/ecran01.jpg
	surfaceparm nolightmap
	q3map_surfacelight 5000
	{
		animmap 2 textures/twins/ecran01.jpg textures/twins/ecran01.jpg textures/twins/ecran01.jpg textures/twins/ecran02.jpg
	}
}

textures/toxic_water/water
{
	qer_editorimage textures/toxic_water/water
	qer_trans 0.4
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm fog

	fogparms ( .1 .23 .14 ) 1000

	{
		map textures/toxic_water/water.tga
		tcMod turb 0.2 0.2 0.2 .2
	}
	{
		map textures/toxic_water/water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.2 2 .2
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

